首页   快速返回

springboot2.0项目pom首行报错问题解决     所属分类 spring
pom首行报错 (不影响编译运行)
org.apache.maven.archiver.MavenArchiver.getManifest(org.apache.maven.project.MavenProject, org.apache.maven.archiver.MavenArchiveConfiguration)	pom.xml	/springboothello	line 1	Maven Configuration Problem

Maven Configuration Problem


把 maven-jar-plugin 设置为 2.6版本 


<plugin>
	<groupId>org.apache.maven.plugins</groupId>
	<artifactId>maven-jar-plugin</artifactId>			
	<version>2.6</version>
</plugin>


这样设置会用提示 Overriding managed version 3.0.2 for maven-jar-plugin
springboot2.0 使用  3.0.2  版本的 maven-jar-plugin

也可以在 属性里指定 版本


<properties>        
    <maven-jar-plugin.version>2.6</maven-jar-plugin.version> 
</properties>


上一篇     下一篇
centos7防火墙配置

mysql5.7 JSON 数据类型测试

aerospike备份恢复测试

漫步华尔街经典语录

《华尔街:金钱永不眠》经典台词

maven内置属性